Skip to content
Pre-release. HostCraft is in testing and not yet for sale. These docs describe the current build and may change. Join the waitlist to hear when it launches.

AdminUser API

Source: daemon/proto/hostcraft/v1/admin_user.proto

AdminUserService manages super_admin and server_admin logins. REST: /api/v1/admin/users. Every change needs a freshly re-authenticated session over REST; over gRPC changes are available to the local root principal only.

Method REST route Permission Streaming
ListAdminUsers GET /api/v1/admin/users AdminUserRead unary
CreateAdminUser POST /api/v1/admin/users AdminUserCreate unary
GetAdminUser GET /api/v1/admin/users/{id} AdminUserRead unary
UpdateAdminUser PATCH /api/v1/admin/users/{id} AdminUserUpdate unary
DeleteAdminUser DELETE /api/v1/admin/users/{id} AdminUserDelete unary
ResetAdminUserMFA POST /api/v1/admin/users/{id}/reset-mfa AdminUserUpdate unary

/hostcraft.v1.AdminUserService/ListAdminUsers

/hostcraft.v1.AdminUserService/CreateAdminUser

/hostcraft.v1.AdminUserService/GetAdminUser

/hostcraft.v1.AdminUserService/UpdateAdminUser

/hostcraft.v1.AdminUserService/DeleteAdminUser

/hostcraft.v1.AdminUserService/ResetAdminUserMFA

Field Type Number Description
id string 1 -
email string 2 -
display_name string 3 -
role string 4 super_admin | server_admin
created_at string 5 -
last_seen_at google.protobuf.Timestamp 6 -
disabled bool 7 -
totp_enrolled bool 8 -
passkeys int64 9 -
self bool 10 -
Field Type Number Description
email string 1 -
display_name string 2 -
password string 3 -
role string 4 -
Field Type Number Description
id string 1 -

Empty is returned by RPCs whose REST route answers with an empty object or 204 No Content.

No fields.

Field Type Number Description
id string 1 -

No fields.

Field Type Number Description
users repeated AdminUser 1 -
Field Type Number Description
id string 1 -
Field Type Number Description
id string 1 -
role optional string 2 -
disabled optional bool 3 -